What are the requirements for Microsoft Word integration plug-in?

  • Must have Current CertainSafe Digital Safety Deposit Box account and have completed registration.
  • Must have Outlook 2013 or newer.
  • Must have a Windows based PC, (Cannot be used on Apple Computers), running Microsoft Windows 7 or newer.